package com.fs.watch.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 腕用药提醒对象 watch_medication_task
 *
 * @author fs
 * @date 2024-12-10
 */
public class WatchMedicationTask extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 套餐订单id */
    @Excel(name = "套餐订单id")
    private Long packageOrderId;


    /** 套餐id */
    @Excel(name = "套餐id")
    private Long packageId;

    /** 商品id */
    @Excel(name = "商品id")
    private Long productId;

    /** 产品名称 */
    @Excel(name = "产品名称")
    private String productName;

    /** 使用频率单位 */
    private Integer usageFrequencyUnit;

    /** 应提醒次数 */
    @Excel(name = "应提醒次数")
    private Integer requiredNum;

    /** 实际提醒次数 */
    @Excel(name = "实际提醒次数")
    private Integer actualNum;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 提醒状态:0 未完成 1完成 */
    @Excel(name = "提醒状态:0 未完成 1完成")
    private Integer status;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPackageOrderId(Long packageOrderId)
    {
        this.packageOrderId = packageOrderId;
    }

    public Long getPackageOrderId()
    {
        return packageOrderId;
    }

    public Long getPackageId() {
        return packageId;
    }

    public void setPackageId(Long packageId) {
        this.packageId = packageId;
    }
    public void setProductId(Long productId)
    {
        this.productId = productId;
    }

    public Long getProductId()
    {
        return productId;
    }
    public void setProductName(String productName)
    {
        this.productName = productName;
    }

    public String getProductName()
    {
        return productName;
    }
    public void setRequiredNum(Integer requiredNum)
    {
        this.requiredNum = requiredNum;
    }

    public Integer getRequiredNum()
    {
        return requiredNum;
    }
    public void setActualNum(Integer actualNum)
    {
        this.actualNum = actualNum;
    }

    public Integer getActualNum()
    {
        return actualNum;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("packageOrderId", getPackageOrderId())
            .append("packageId", getPackageId())
            .append("productId", getProductId())
            .append("productName", getProductName())
            .append("usageFrequencyUnit", getUsageFrequencyUnit())
            .append("requiredNum", getRequiredNum())
            .append("actualNum", getActualNum())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("userId", getUserId())
            .append("status", getStatus())
            .toString();
    }

    public Integer getUsageFrequencyUnit() {
        return usageFrequencyUnit;
    }

    public void setUsageFrequencyUnit(Integer usageFrequencyUnit) {
        this.usageFrequencyUnit = usageFrequencyUnit;
    }

}
